Get File Metadata
curl --request GET \
--url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/files/{fileId} \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/v1/external/companies/{companyId}/files/{fileId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/v1/external/companies/{companyId}/files/{fileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440020",
"name": "claim-report.pdf",
"mimeType": "application/pdf",
"category": "claims",
"entityId": null,
"entityName": null,
"uploadedAt": "2026-01-20T09:15:00.000Z",
"userDate": null
}Company Files
Get File Metadata
Returns metadata for a single file. Does not return the file content — use the Download File Content endpoint to stream the binary content.
Required permission: company.file:read
GET
/
api
/
v1
/
external
/
companies
/
{companyId}
/
files
/
{fileId}
Get File Metadata
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
File identifier
Response
File metadata
A file stored in the company file system
File identifier
File name
MIME type of the file
Optional category label
Related entity ID (if attached to an entity)
Related entity name (if attached to an entity)
When the file was uploaded (ISO 8601)
User-specified date for the file (ISO 8601)
Was this page helpful?
